'use client'
import { redirect, useRouter, useSearchParams } from 'next/navigation';
import { useEffect } from 'react';
import Loading from '../../loading';
import { signIn } from 'next-auth/react';


const Callback = () => {
    const { replace, push } = useRouter();
    const searchParams = useSearchParams()
    const chatbot = searchParams.get('chatbot');
    const accessToken = searchParams.get('accessToken');

    function replameUrlPath() {        
        replace(`/chat/callback`);
    }
    const handleCallback = async () => {
        replameUrlPath();
        if (chatbot == null || accessToken == null) {
            redirect(`${process.env.BASE_URL_API}/agente`);
        }
        if (chatbot == '' || accessToken == '') {
            redirect(`${process.env.BASE_URL_API}/agente`);
        }
        const result = await signIn('token-login',{
            token: accessToken as string,
            chatbot: chatbot as string,
            redirect: false
        });            
        if (result?.error) {
			redirect(`${process.env.BASE_URL_API}/agente`);
        } else {
            localStorage.setItem('entryTime', new Date().toISOString());
            push('/chat/select');
        }
    }

    useEffect(() => {
        handleCallback();
    }, []);

    return (
        <>
           <Loading />
        </>
    )
}

export default Callback